Package org.bukkit.entity

# Enum Class Evoker.Spell

java.lang.Object
java.lang.Enum<Evoker.Spell>
org.bukkit.entity.Evoker.Spell

All Implemented Interfaces:
  `Serializable`, `Comparable<Evoker.Spell>`, `Constable`

Enclosing interface:
  Evoker

@Deprecated public static enum Evoker.Spell extends Enum<Evoker.Spell>
Deprecated.
future versions of Minecraft have additional spell casting entities.
Represents the current spell the Evoker is using.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BLINDNESS`
Deprecated.
The spell that makes the target blind.
`DISAPPEAR`
Deprecated.
The spell that makes the casting entity invisible.
`FANGS`
Deprecated.
The spell that summons Fangs.
`NONE`
Deprecated.
No spell is being evoked.
`SUMMON`
Deprecated.
The spell that summons Vexes.
`WOLOLO`
Deprecated.
The "wololo" spell.

## Method Summary

Modifier and Type
Method
Description
`static Evoker.Spell`
`valueOf(String name)`
Deprecated.
Returns the enum constant of this class with the specified name.
`static Evoker.Spell[]`
`values()`
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final Evoker.Spell NONE
Deprecated.
No spell is being evoked.

### SUMMON

public static final Evoker.Spell SUMMON
Deprecated.
The spell that summons Vexes.

### FANGS

public static final Evoker.Spell FANGS
Deprecated.
The spell that summons Fangs.

### WOLOLO

public static final Evoker.Spell WOLOLO
Deprecated.
The "wololo" spell.

### DISAPPEAR

public static final Evoker.Spell DISAPPEAR
Deprecated.
The spell that makes the casting entity invisible.

### BLINDNESS

public static final Evoker.Spell BLINDNESS
Deprecated.
The spell that makes the target blind.

## Method Details

### values

public static Evoker.Spell[] values()
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Evoker.Spell valueOf(String name)
Deprecated.
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null